Memcached::deleteByKey
Memcached::deleteMultiByKey
Memcached
PHP Manual

# Memcached::deleteMulti

(PECL memcached >= 2.0.0)

Memcached::deleteMulti — Delete multiple items

### Description

public bool Memcached::deleteMulti ( array `$keys` [, int `$time` = 0 ] )

Memcached::deleteMulti() deletes the array of `keys` from the server. The `time` parameter is the amount of time in seconds (or Unix time until which) the client wishes the server to refuse add and replace commands for these keys. For this amount of time, the item is put into a delete queue, which means that it won't be possible to retrieve it by the get command, but add and replace command with these keys will also fail (the set command will succeed, however). After the time passes, the item is finally deleted from server memory. The parameter `time` defaults to 0 (which means that the item will be deleted immediately and further storage commands with these keys will succeed).

### Parameters

`keys`

  The keys to be deleted.

`time`

  The amount of time the server will wait to delete the items.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode() will return `Memcached::RES_NOTFOUND` if the key does not exist.

### See Also

- Memcached::delete() - Delete an item
- Memcached::deleteByKey() - Delete an item from a specific server
- Memcached::deleteMultiByKey() - Delete multiple items from a specific server

Memcached::deleteByKey
Memcached::deleteMultiByKey
Memcached
PHP Manual